ChangeSet 1.823.3.14, 2002/11/13 00:14:49-08:00, greg@kroah.com

[PATCH] USB: changed USB_UHCI_HCD_ALT to USB_UHCI_HCD as there is only one driver.


diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Thu Nov 14 14:12:24 2002
+++ b/drivers/usb/Makefile	Thu Nov 14 14:12:24 2002
@@ -8,13 +8,8 @@
 
 obj-$(CONFIG_USB_EHCI_HCD)	+= host/
 obj-$(CONFIG_USB_OHCI_HCD)	+= host/
-obj-$(CONFIG_USB_OHCI)		+= host/
-obj-$(CONFIG_USB_OHCI_SA1111)	+= host/
-obj-$(CONFIG_USB_SL811HS)	+= host/
-obj-$(CONFIG_USB_UHCI_ALT)	+= host/
-obj-$(CONFIG_USB_UHCI_HCD_ALT)	+= host/
 obj-$(CONFIG_USB_UHCI_HCD)	+= host/
-obj-$(CONFIG_USB_UHCI)		+= host/
+obj-$(CONFIG_USB_SL811HS)	+= host/
 
 obj-$(CONFIG_USB_ACM)		+= class/
 obj-$(CONFIG_USB_AUDIO)		+= class/
diff -Nru a/drivers/usb/host/Kconfig b/drivers/usb/host/Kconfig
--- a/drivers/usb/host/Kconfig	Thu Nov 14 14:12:24 2002
+++ b/drivers/usb/host/Kconfig	Thu Nov 14 14:12:24 2002
@@ -49,7 +49,7 @@
 	  The module will be called ohci-hcd.o. If you want to compile it
 	  as a module, say M here and read <file:Documentation/modules.txt>.
 
-config USB_UHCI_HCD_ALT
+config USB_UHCI_HCD
 	tristate "UHCI HCD (most Intel and VIA) support"
 	depends on USB
 	---help---
diff -Nru a/drivers/usb/host/Makefile b/drivers/usb/host/Makefile
--- a/drivers/usb/host/Makefile	Thu Nov 14 14:12:24 2002
+++ b/drivers/usb/host/Makefile	Thu Nov 14 14:12:24 2002
@@ -5,7 +5,7 @@
 
 obj-$(CONFIG_USB_EHCI_HCD)	+= ehci-hcd.o
 obj-$(CONFIG_USB_OHCI_HCD)	+= ohci-hcd.o
-obj-$(CONFIG_USB_UHCI_HCD_ALT)	+= uhci-hcd.o
+obj-$(CONFIG_USB_UHCI_HCD)	+= uhci-hcd.o
 
 obj-$(CONFIG_USB_SL811HS)	+= hc_sl811.o
 
